Click or drag to resize

SweepTwoRailPerformSweep Method (Curve, Curve, Curve, Double, Double)

[Missing <summary> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public Brep[] PerformSweep(
	Curve rail1,
	Curve rail2,
	Curve crossSection,
	double crossSectionParameterRail1,
	double crossSectionParameterRail2
)

Parameters

rail1
Type: Rhino.GeometryCurve

[Missing <param name="rail1"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

rail2
Type: Rhino.GeometryCurve

[Missing <param name="rail2"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

crossSection
Type: Rhino.GeometryCurve

[Missing <param name="crossSection"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

crossSectionParameterRail1
Type: SystemDouble

[Missing <param name="crossSectionParameterRail1"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

crossSectionParameterRail2
Type: SystemDouble

[Missing <param name="crossSectionParameterRail2"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

Return Value

Type: Brep

[Missing <returns> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Double,System.Double)"]

Version Information

Rhino for Mac

Supported in: 5.4 WIP

Rhino for Windows

Supported in: 6.1 BETA
See Also